- name: Update apt and install python3-pip
  apt:
    name:
      - python3-pip
    state: latest
    update_cache: true

- name: Install Docker Module for Python
  pip:
    name: docker

- name: Deploy container
  community.docker.docker_container:
    name: app.name
    image: app.image
    recreate: app.recreate
    restart_policy: app.restart
    log_driver: "json-file"
    log_options:
      max-size: app.log.max_size
      max-file: app.log.max_file
    env: app.env
    volumes: app.volumes
    ports: app.ports
    command: app.command
    devices: app.devices
    links: app.links
    networks:
      - name: app.network.name
        aliases: app.network.aliases
        links: app.network.links
